NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder Class Reference

Represents a Boundary condition object for Metaform. More...

Inheritance diagram for NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder:
NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  ConstraintTypes { PointToPoint, PointAlongCurve, CurveToCurve, CurveAlongCurve }
 Types of Boundary condition constraints More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe string ConstraintName [get, set]
 Returns or sets the constraint name. More...
 
unsafe
NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes 
ConstraintType [get, set]
 Returns or sets the constraint type More...
 
unsafe NXOpen.ScCollector EndRegionCurve [get]
 Returns the end region curve This input is required if the Constraint Type is NOT Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.PointToPoint . More...
 
unsafe NXOpen.Point EndRegionPoint [get, set]
 Returns or sets the end region point This input is required only if the Constraint Type is Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.PointToPoint . More...
 
unsafe NXOpen.ScCollector StartRegionCurve [get]
 Returns the start region curve This input is required only if the Constraint Type is Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.CurveToCurve or Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.CurveAlongCurve . More...
 
unsafe NXOpen.Point StartRegionPoint [get, set]
 Returns or sets the start region point. More...
 

Detailed Description

Represents a Boundary condition object for Metaform.

A Metaform feature can have one or more boundary conditions and each condition determines how the mapped geometry will be locked.

To create a new instance of this class, use NXOpen.Features.SheetMetal.MetaformBuilder.CreateSMBoundaryCondition

Created in NX7.5.0

Member Enumeration Documentation

Types of Boundary condition constraints

Enumerator
PointToPoint 
PointAlongCurve 
CurveToCurve 
CurveAlongCurve 

Member Function Documentation

unsafe bool NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe string NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintName
getset

Returns or sets the constraint name.

If a constraint is added interactively, an automatic name will be generated for the users which can be edited. Each of the constraint name must be unique.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintType
getset

Returns or sets the constraint type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.EndRegionCurve
get

Returns the end region curve This input is required if the Constraint Type is NOT Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.PointToPoint .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.EndRegionPoint
getset

Returns or sets the end region point This input is required only if the Constraint Type is Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.PointToPoint .

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.StartRegionCurve
get

Returns the start region curve This input is required only if the Constraint Type is Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.CurveToCurve or Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.CurveAlongCurve .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.SheetMetal.SMBoundaryConditionBuilder.StartRegionPoint
getset

Returns or sets the start region point.

This input is required only if the Constraint Type is Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.PointToPoint or Features.SheetMetal.SMBoundaryConditionBuilder.ConstraintTypes.PointAlongCurve .

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.